Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Subversive » How checkout and build Subversive trunk?
How checkout and build Subversive trunk? [message #558670] Mon, 13 September 2010 16:59 Go to next message
Daniel N is currently offline Daniel N
Messages: 6
Registered: September 2010
Junior Member
Hi!

I'm trying to build subversive from trunk, but so far I end up with roughly 13627 build failures. Any suggestion on a water-proof step-by-step approach to building subversive?

I'm using eclipse 3.5.1
$ java -version
java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8.1) (6b18-1.8.1-0ubuntu1~9.10.1)
OpenJDK Server VM (build 16.0-b13, mixed mode)

What I've tried:

svn co http://dev.eclipse.org/svnroot/technology/org.eclipse.subver sive/trunk

In Eclipse: File->Import... to create a PDE project from the checked out dir.

Tried to resolve the dependencies with the context menu PDE
Tools->Resolve dependencies... but no difference in build failures.

Tried a multiude of ways to resolve the dependency problem by setting
different project properties.

Thanks,
Daniel
Re: How checkout and build Subversive trunk? [message #558856 is a reply to message #558670] Tue, 14 September 2010 11:44 Go to previous messageGo to next message
Alexander Gurov is currently offline Alexander Gurov
Messages: 85
Registered: July 2009
Member
Hi,

To build Subversive just perform following steps:
1) Checkout everything in trunk as projects (because trunk itself is not a project)
2) Build update sites.

Beside this in order to obtain full Subversive build (including connectors) you should also checkout connectors from the Polarion.org repository: http://svn.polarion.org/repos/community/Subversive
Re: How checkout and build Subversive trunk? [message #558894 is a reply to message #558856] Tue, 14 September 2010 15:00 Go to previous messageGo to next message
Daniel N is currently offline Daniel N
Messages: 6
Registered: September 2010
Junior Member
Alexander Gurov wrote on Tue, 14 September 2010 11:44
Hi,

To build Subversive just perform following steps:
1) Checkout everything in trunk as projects (because trunk itself is not a project)
2) Build update sites.

Beside this in order to obtain full Subversive build (including connectors) you should also checkout connectors from the Polarion.org repository: http://svn.polarion.org/repos/community/Subversive


I created a project with File->New Project->Plugin Development->Update Site project.

What do I do from there? I tried adding the projects to site.xml with Add feature... but couldn't find them in the dialog (and editing the site.xml file directly appears to be a bit of a hazzle). You're saying I should create one update site that includes all the projects right?

How should the connectors fit into the project? Can they just be randomly added to the project setup? And how access them? The repos asks for authentication and I don't have any username there.

[Updated on: Tue, 14 September 2010 15:41]

Report message to a moderator

Re: How checkout and build Subversive trunk? [message #558940 is a reply to message #558894] Wed, 15 September 2010 01:08 Go to previous messageGo to next message
Alexander Gurov is currently offline Alexander Gurov
Messages: 85
Registered: July 2009
Member
The "update site" site project is already on repository inside the "trunk" folder:

https://dev.eclipse.org/svnroot/technology/org.eclipse.subve rsive/trunk/org.eclipse.team.svn.update-site

So, if you checked out all projects in the "trunk" folder you don't need to create another one. Just use pop-up menu action "Import->General->Existing Projects into Workspace" and then you will have all you need to build Subversive in your workspace.

Please note, that if you performed "svn co" and not the "svn export" operation, it is recommended to have Subversive installed into your Eclipse IDE instance in order to exclude ".svn" folders and their content from the build process.

When those steps are done, you could use "PDE Tools->Build Site" pop-up menu action over the "org.eclipse.team.svn.update-site/site.xml" file.
Re: How checkout and build Subversive trunk? [message #559159 is a reply to message #558940] Wed, 15 September 2010 15:32 Go to previous messageGo to next message
Daniel N is currently offline Daniel N
Messages: 6
Registered: September 2010
Junior Member
Ah, now it builds... Although I still have a failure for org.eclipse.team.svn.ui.discovery. It can't find org.eclipse.equinoux that is imported in PrepareInstallProfileJob3_6.java. Shouldn't the build automatically find and fetch that one? And I had to install Myulun in order to build the site.

I'm a newbie when it comes to building plugins for Eclipse. I was surprised that installing Myulun fixed a build failure. I would have expected that the build was done for a separate platform than the one executing the IDE, e.g. that I would have had to install the plugin somewhere inside my workspace, not thatthe build could be affected of what is installed or not in the IDE.

How do you test the plugin that you've built? I have Subversive installed so how can I run the trunk version of Subversive? (This boils down to the same question of if I'm building for the current platform or if I can start a separate Eclipse instance with the newly built plugin).

A big thank you for your help so far!
Re: How checkout and build Subversive trunk? [message #559282 is a reply to message #559159] Thu, 16 September 2010 05:23 Go to previous messageGo to next message
Alexander Gurov is currently offline Alexander Gurov
Messages: 85
Registered: July 2009
Member
Hello Daniel,

About PrepareInstallProfileJob3_6.java, I was really surprised myself, but there are some incompatible changes between Eclipse 3.5 and Eclipse 3.6 versions. So, the trick is to build plug-in with Eclipse 3.6 instance and then add into the build *.class files for the 3.5 version which is committed to the source control nearby their respective *.java sources.

Now about the Mylyn plug-in. Main Subversive distribution includes support for Mylyn because it is very popular and useful to many people project. So, building Subversive just requires Mylyn as dependency.

Regarding you unable to checkout SVN connectors, I will check the reason, but earlier SVN connectors repository were publicly accessible with "read-only" permissions, as far as I remember.

Regarding running head slice of the Subversive sources for test purposes - you could just run it from the Eclipse IDE without building. Just use "Run As->Eclipse Application" action over the UI project, for example.
Re: How checkout and build Subversive trunk? [message #559986 is a reply to message #559282] Mon, 20 September 2010 11:55 Go to previous messageGo to next message
Daniel N is currently offline Daniel N
Messages: 6
Registered: September 2010
Junior Member
Alexander Gurov wrote on Thu, 16 September 2010 05:23
Hello Daniel,

About PrepareInstallProfileJob3_6.java, I was really surprised myself, but there are some incompatible changes between Eclipse 3.5 and Eclipse 3.6 versions. So, the trick is to build plug-in with Eclipse 3.6 instance and then add into the build *.class files for the 3.5 version which is committed to the source control nearby their respective *.java sources.


I'm using Eclipse 3.5. Are you saying that I need 3.6 to properly build all parts?

Quote:

Regarding you unable to checkout SVN connectors, I will check the reason, but earlier SVN connectors repository were publicly accessible with "read-only" permissions, as far as I remember.


Any news on this one? I still can't do an anonymous checkout. When I click on Run->Run as..->Eclipse application, a new Eclipse instance is started and a popup appears that asks me for what connector to use. It gives me multiple choices but I can't install any of them. I'm assuming that I need to have the connectors in the source tree? Maybe I can put the binaries available for on polarion.org in the project?

Re: How checkout and build Subversive trunk? [message #626975 is a reply to message #559986] Wed, 22 September 2010 15:17 Go to previous messageGo to next message
Daniel N is currently offline Daniel N
Messages: 6
Registered: September 2010
Junior Member

I get this error message when trying to install JavaHL 1.6 connectors to my trunk build in the 'Subversive connector discovery' dialog box:

Missing requirement: Subversive SVN Connectors 2.2.2.I20100617-1700
org.polarion.eclipse.team.svn.connector.feature.group 2.2.2.I20100617-1700 requires
'org.eclipse.team.svn.feature.group [0.7.8.I20091009-1900,1.0.0)' but it
could not be found.

I couldn't find any org.eclipse.team.svn.feature.group project in trunk. Any suggestion on how I can satisfy the requirement?
Re: How checkout and build Subversive trunk? [message #629590 is a reply to message #626975] Tue, 28 September 2010 15:38 Go to previous messageGo to next message
Daniel N is currently offline Daniel N
Messages: 6
Registered: September 2010
Junior Member
Turns out I was blind and stupid. You can get a user account on:

http://community.polarion.org/polarion/#/project/Subversive/ home

Then it's just a matter of checking out the connectors and importing the projects therein into your workspace.
Re: How checkout and build Subversive trunk? [message #631898 is a reply to message #559986] Sun, 10 October 2010 04:04 Go to previous message
Alexander Gurov is currently offline Alexander Gurov
Messages: 85
Registered: July 2009
Member
>I'm using Eclipse 3.5. Are you saying that I need 3.6 to properly build all parts?

Yes, in order to build it properly you need 3.6 version. Moreover, I would recommend to use JDK 1.5 in order to build Subversive plug-in (Somewhere in Eclipse.org WIKI I have seen note that Eclipse Helios release have some strange issues with JDK 1.6).

Regarding connectors and discovery feature: there were an issues which where fixed last week. So, please update Subversive source code.

Also it seems that some guidlines about building Subversive plug-in should be published as separate article. I will post reference here when it is done.
Previous Topic:Information about update
Next Topic:Subversive update lost access to 1.1.7 connector, which I need
Goto Forum:
  


Current Time: Thu Jul 31 11:50:53 EDT 2014

Powered by FUDForum. Page generated in 0.02099 seconds